<ion-view view-title="{{ 'TAB_LECTURES' | translate }}">
	<ion-nav-buttons side="right">
		<aw-action-sheet></aw-action-sheet>
	</ion-nav-buttons>
	<ion-content>
		<ion-refresher pulling-text="Nach unten ziehen zum Aktualisieren..."
		               on-refresh="vm.fetchLectures()"></ion-refresher>
		<!-- for tesing purposes
		<button class="button button-block button-positive"
				ng-click="vm.registerLecture()">
			Register lecture
		</button>-->
		<ion-list>
			<ion-item ng-repeat="entry in vm.lectures track by $index"
                      type="item-text-wrap">
				<h2>{{entry.subjectName}} <span class="item-note">Nr: {{entry.lectureNr}}</span></h2>
				<p>{{entry.lecturerName}}</p>
			</ion-item>
            <p>
                {{vm.tempResult}}
            </p>
		</ion-list>
		<div ng-show="vm.lectures.length === 0" class="center-no-content">
			<h3>Bislang keine Präsenzen registriert.</h3>
		</div>
	</ion-content>
</ion-view>